summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichał Przybyś2020-07-29 23:05:11 +0200
committerMichał Przybyś2020-07-29 23:05:11 +0200
commit16dbe43a68406dc8509ff44c2122fa37999e396e (patch)
tree26e35a45fb0383bd076719cfda9e13126109a6c0
parentcf7f6857d0e7a36daa78572b105660deef1c00f1 (diff)
downloadaur-16dbe43a68406dc8509ff44c2122fa37999e396e.tar.gz
Updated pkgver to 15
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD42
-rw-r--r--config_path.patch17
-rw-r--r--roslynpad2
4 files changed, 34 insertions, 43 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 421484a34eb..1ccae75c50f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,21 +1,21 @@
pkgbase = roslynpad
pkgdesc = A cross-platform C# editor based on Roslyn and AvalonEdit
- pkgver = 14.1
- pkgrel = 3
+ pkgver = 15
+ pkgrel = 1
url = https://roslynpad.net/
arch = any
license = Apache
- makedepends = dotnet-sdk-2.2
- depends = dotnet-runtime-2.2
+ makedepends = dotnet-sdk>=3.1
+ depends = dotnet-runtime>=3.1
depends = desktop-file-utils
- source = https://github.com/aelij/RoslynPad/archive/14.1.tar.gz
+ source = https://github.com/aelij/RoslynPad/archive/15.tar.gz
source = config_path.patch
source = roslynpad
source = roslynpad.desktop
source = roslynpad.install
- md5sums = 93f43b4ca8107a8ba6d940bc6bbdf7e6
- md5sums = 8fe1f6f59439d1c09a779d10496241e5
- md5sums = 2bbafbadd0b5f3d088ce8a248058a06f
+ md5sums = cd41b3dd801046ca4da3893221b667f8
+ md5sums = 7d8cd9ff78a48d5b5a9a2f282322ba11
+ md5sums = 18214346078c30228f41454d4ad73e42
md5sums = d6788321c8bf62a8b5198039dbbee2d3
md5sums = a91349cbede88402f0b44728ad9b443f
diff --git a/PKGBUILD b/PKGBUILD
index 065b5c4aea2..259dec6913a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,49 +1,47 @@
# Maintainer: Michał Przybyś <michal@przybys.eu>
-_sdk=2.2
+_sdk=3.1
pkgname=roslynpad
-pkgver=14.1
-pkgrel=3
+pkgver=15
+pkgrel=1
pkgdesc='A cross-platform C# editor based on Roslyn and AvalonEdit'
arch=(any)
url='https://roslynpad.net/'
license=(Apache)
-depends=("dotnet-runtime-${_sdk}"
- desktop-file-utils)
-makedepends=("dotnet-sdk-${_sdk}")
+depends=("dotnet-runtime>=${_sdk}"
+ desktop-file-utils)
+makedepends=("dotnet-sdk>=${_sdk}")
source=("https://github.com/aelij/RoslynPad/archive/${pkgver}.tar.gz"
config_path.patch
roslynpad
roslynpad.desktop
roslynpad.install)
-md5sums=(93f43b4ca8107a8ba6d940bc6bbdf7e6
- 8fe1f6f59439d1c09a779d10496241e5
- 2bbafbadd0b5f3d088ce8a248058a06f
+md5sums=(cd41b3dd801046ca4da3893221b667f8
+ 7d8cd9ff78a48d5b5a9a2f282322ba11
+ 18214346078c30228f41454d4ad73e42
d6788321c8bf62a8b5198039dbbee2d3
a91349cbede88402f0b44728ad9b443f)
prepare() {
+ cd "${srcdir}/RoslynPad-${pkgver}"
+ rm global.json
+ dotnet new globaljson --force --sdk-version "$(dotnet --list-sdks | grep "${_sdk/./\.}" | tail -1 | awk '{ print $1 }')"
+
cd "${srcdir}/RoslynPad-${pkgver}/src"
patch -Np1 -i "${srcdir}/config_path.patch"
+
}
build() {
- cd "${srcdir}/RoslynPad-${pkgver}/src"
- latest_sdk=$(dotnet --list-sdks | sed -E "s/^(${_sdk/./\.}}\.[0-9]+) .*/\1/; t; d" | tail -1)
- dotnet new globaljson --force --sdk-version "${latest_sdk}"
-
- cd RoslynPad.NetCore
- dotnet publish -c Release /p:DebugType=None
+ cd "${srcdir}/RoslynPad-${pkgver}/src/RoslynPad.Avalonia"
+ dotnet build -c Release /p:DebugType=None
}
package() {
+ cd "${srcdir}/RoslynPad-${pkgver}/src/RoslynPad.Avalonia"
+ dotnet publish --no-build -c Release -o "${pkgdir}/opt/roslynpad" /p:DebugType=None || :
+
cd "${srcdir}"
install -Dm755 roslynpad "${pkgdir}/usr/bin/roslynpad"
install -Dm644 roslynpad.desktop "${pkgdir}/usr/share/applications/roslynpad.desktop"
-
- cd "RoslynPad-${pkgver}/src"
- install -Dm644 RoslynPad/Resources/RoslynPad.svg "${pkgdir}/usr/share/pixmaps/roslynpad.svg"
-
- cd "RoslynPad.NetCore/bin/Release/netcoreapp${_sdk}/publish"
- install -dm755 "${pkgdir}/opt/roslynpad"
- cp -aR * "${pkgdir}/opt/roslynpad"
+ install -Dm644 "RoslynPad-${pkgver}/src/RoslynPad/Resources/RoslynPad.svg" "${pkgdir}/usr/share/pixmaps/roslynpad.svg"
}
diff --git a/config_path.patch b/config_path.patch
index f70b3ce32ed..697e4fa3383 100644
--- a/config_path.patch
+++ b/config_path.patch
@@ -1,7 +1,7 @@
-diff -ur src.orig/RoslynPad.Common.UI/ViewModels/MainViewModelBase.cs src/RoslynPad.Common.UI/ViewModels/MainViewModelBase.cs
---- src.orig/RoslynPad.Common.UI/ViewModels/MainViewModelBase.cs 2020-03-08 10:34:16.955919485 +0100
-+++ src/RoslynPad.Common.UI/ViewModels/MainViewModelBase.cs 2020-03-08 10:36:26.631248084 +0100
-@@ -269,7 +269,13 @@
+diff -ur src.orig/RoslynPad.Common.UI/Services/IApplicationSettings.cs src/RoslynPad.Common.UI/Services/IApplicationSettings.cs
+--- src.orig/RoslynPad.Common.UI/Services/IApplicationSettings.cs 2020-07-18 23:44:15.000000000 +0200
++++ src/RoslynPad.Common.UI/Services/IApplicationSettings.cs 2020-07-28 17:55:06.445431776 +0200
+@@ -204,7 +204,13 @@
}
else // Unix or Mac
{
@@ -14,12 +14,5 @@ diff -ur src.orig/RoslynPad.Common.UI/ViewModels/MainViewModelBase.cs src/Roslyn
+ }
+ }
}
-
+
if (string.IsNullOrEmpty(documentsPath))
-@@ -782,4 +788,4 @@
-
- #endregion
- }
--}
-\ No newline at end of file
-+}
diff --git a/roslynpad b/roslynpad
index ecaf9ba72db..b14e463e3ba 100644
--- a/roslynpad
+++ b/roslynpad
@@ -1,2 +1,2 @@
#! /bin/sh
-dotnet /opt/roslynpad/RoslynPad.dll "${@}"
+/opt/roslynpad/RoslynPad "${@}"